Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002622TestLinkReportspublic2009-06-16 23:252011-03-20 17:02
Reporterkqian 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0002622: Contribution: Export Testplan with Build information
DescriptionCurrently, under the execution tab, there is no button to export the entire Testplan. The option to export all test suites is available, however there is no option to export the build.

We have made changes to tcExport.php as well as the testlink_library.js to include this feature.

Please let us know if this is a desirable feature.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.0
PHP Version3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0002647closedfman Testplan printout into MS-Word is without images. 
child of 0003649closedfman Export/Import Test Plan links to test cases and platforms 

-  Notes
(0007414)
rwdsa (reporter)
2009-06-30 22:26

This is an very important feature for us. We need to perform offline tests and would need to export testplans, enter the results offline into the XML file and import them again to make the results known to the database.
(0007416)
mhavlat (reporter)
2009-07-01 05:53

Yes it make sense for me.
Lets attach modified files or patch file. We will review the code.
The best variant is that your changes will be over CVS HEAD code (for 1.9 version)
Thanks.
(0007442)
guest (reporter)
2009-07-05 15:20
edited on: 2009-07-05 15:26

It is the patch of the similar function.

http://sourceforge.jp/projects/testlinkjp/lists/archive/users/2009-July/000609.html [^]

automated translate Japanese to English

http://www.excite-webtl.jp/world/english/web/?wb_url=http%3A%2F%2Fsourceforge.jp%2Fprojects%2Ftestlinkjp%2Flists%2Farchive%2Fusers%2F2009-July%2F000609.html&wb_lp=JAEN&wb_dis=2&wb_submit=+%96%7C+%96%F3+ [^]

Related
http://www.testlink.org/mantis/view.php?id=2647 [^]

(0) Apply patch

on TestLink1.8.3+patch(No.8)
(1) 'Results'
(2) Select 'Report Format' to 'xml'
(3) 'Test Plan' or 'Test Report'
(4) You can get results and attached file.

(0007552)
guest (reporter)
2009-07-14 17:33

Update
http://www.testlink.org/mantis/view.php?id=2647 [^]
(0011499)
fman (administrator)
2010-09-25 18:24

please attach patch if not we will close without solving
(0011568)
fman (administrator)
2010-10-02 17:15

still waiting for code

- Issue History
Date Modified Username Field Change
2009-06-16 23:25 kqian New Issue
2009-06-16 23:25 kqian Browser => Firefox 3.0
2009-06-16 23:25 kqian PHP Version => 3
2009-06-30 22:26 rwdsa Note Added: 0007414
2009-07-01 05:53 mhavlat Note Added: 0007416
2009-07-01 05:54 mhavlat Category New Feature => Reports, Metrics, Export and Print
2009-07-01 05:54 mhavlat Summary Export Testplan with Build information => Contribution: Export Testplan with Build information
2009-07-05 15:20 guest Note Added: 0007442
2009-07-05 15:26 guest Note Edited: 0007442
2009-07-14 17:33 guest Note Added: 0007552
2010-09-25 18:19 fman Relationship added related to 0002647
2010-09-25 18:24 fman Note Added: 0011499
2010-10-02 17:15 fman Note Added: 0011568
2010-10-02 17:16 fman Relationship added child of 0003649
2011-03-20 17:02 fman Status new => closed
2011-03-20 17:02 fman Assigned To => fman
2011-03-20 17:02 fman Resolution open => duplicate
2011-03-20 17:02 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker